# if you make changes, the it is advised to increment this number, and provide 
# a descriptive suffix to identify who owns or what the change represents
# e.g. release_version 2.MSW
%define release_version 1

# if you wish to compile an rpm without ibverbs support, compile like this...
# rpmbuild -ta glusterfs-1.3.8.tar.gz --without ibverbs
#%define with_ibverbs %{?_without_ibverbs:0}%{?!_without_ibverbs:1}
%define with_ibverbs 0


Summary: GNU Cluster File System
Name: glusterfs
Version: 1.3.8
Release: %release_version
License: GPLv3 or later
Group: System Environment/Base
Vendor: Z RESEARCH Inc
Packager: glusterfs-support@zresearch.com
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: fuse-devel
%if %with_ibverbs
BuildRequires: libibverbs-devel
%endif
BuildRequires: libtool
BuildRequires: bison flex
BuildRequires: python python-devel
BuildRequires: gcc
BuildRequires: make
URL: ftp://ftp.zresearch.com/pub/gluster/glusterfs/1.3/glusterfs-1.3.8.tar.gz
Source: %name-%version.tar.gz

%description
GlusterFS is a clustered file-system capable of scaling to several
peta-bytes. It aggregates various storage bricks over Infiniband RDMA
or TCP/IP interconnect into one large parallel network file
system. GlusterFS is one of the most sophisticated file system in
terms of features and extensibility.  It borrows a powerful concept
called Translators from GNU Hurd kernel. Much of the code in GlusterFS
is in userspace and easily manageable.

%package common
Summary: GlusterFS Library and Translators
Group: System Environment/Daemons

%description common
GlusterFS is a clustered file-system capable of scaling to several
peta-bytes. It aggregates various storage bricks over Infiniband RDMA
or TCP/IP interconnect into one large parallel network file
system. GlusterFS is one of the most sophisticated file system in
terms of features and extensibility.  It borrows a powerful concept
called Translators from GNU Hurd kernel. Much of the code in GlusterFS
is in userspace and easily manageable.

This package includes libglusterfs and glusterfs translator modules
common to both GlusterFS server and client framework.

%package server
Summary: GlusterFS Server
Group: System Environment/Daemons
Requires: %name-common = %version

%description server
GlusterFS is a clustered file-system capable of scaling to several
peta-bytes. It aggregates various storage bricks over Infiniband RDMA
or TCP/IP interconnect into one large parallel network file
system. GlusterFS is one of the most sophisticated file system in
terms of features and extensibility.  It borrows a powerful concept
called Translators from GNU Hurd kernel. Much of the code in GlusterFS
is in userspace and easily manageable.

This package provides the glusterfs server daemon.


%package client
Summary: GlusterFS Client 
Group: Applications/File
#Requires: fuse  # let the auto dependancy work this out
Requires: %name-common = %version

%description client
GlusterFS is a clustered file-system capable of scaling to several
peta-bytes. It aggregates various storage bricks over Infiniband RDMA
or TCP/IP interconnect into one large parallel network file
system. GlusterFS is one of the most sophisticated file system in
terms of features and extensibility.  It borrows a powerful concept
called Translators from GNU Hurd kernel. Much of the code in GlusterFS
is in userspace and easily manageable.

This package provides the FUSE based GlusterFS client.


%package devel
Summary: GlusterFS Development Libraries
Group: Development/Libraries
Requires: %name-common = %version

%description devel
GlusterFS is a clustered file-system capable of scaling to several
peta-bytes. It aggregates various storage bricks over Infiniband RDMA
or TCP/IP interconnect into one large parallel network file
system. GlusterFS is one of the most sophisticated file system in
terms of features and extensibility.  It borrows a powerful concept
called Translators from GNU Hurd kernel. Much of the code in GlusterFS
is in userspace and easily manageable.

This package provides the development libraries.


%prep
# then -n argument says that the unzipped version is NOT %name-%version
#%setup -n %name-%version
%setup


%build
%if "%{with_ibverbs}" == "0"
%define configure_options --disable-ibverbs
%endif
%ifarch i386
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib %{?configure_options:%configure_options}
%{__make}
%else
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib64 %{?configure_options:%configure_options}
%{__make}
%endif

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__rm} -rf $RPM_BUILD_ROOT/share/
%{__mkdir_p} $RPM_BUILD_ROOT/usr/include/glusterfs
%{__mkdir_p} $RPM_BUILD_ROOT/var/log/glusterfs
%{__cp} %_builddir/%name-%version/libglusterfs/src/*.h $RPM_BUILD_ROOT/usr/include/glusterfs/
%{__mkdir_p} $RPM_BUILD_ROOT/etc/init.d
%{__cp} extras/opensuse/init.d/glusterfsd $RPM_BUILD_ROOT/etc/init.d/glusterfsd
%{__mkdir_p} $RPM_BUILD_ROOT/usr/sbin
%{__ln_s} -f /etc/init.d/glusterfsd $RPM_BUILD_ROOT/usr/sbin/rcglusterfsd
#%{__mkdir_p} $RPM_BUILD_ROOT/usr/sbin
#%{__cp} extras/opensuse/sbin/rcglusterfsd $RPM_BUILD_ROOT/usr/sbin/rcglusterfsd

%files common
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%ifarch i386
/usr/lib
%dir /var/log/glusterfs
%exclude /usr/lib/*.a
%exclude /usr/lib/*.la
%else
/usr/lib64
%dir /var/log/glusterfs
%exclude /usr/lib64/*.a
%exclude /usr/lib64/*.la
%endif

%files server
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%doc /usr/share/doc/glusterfs/examples
%config /etc/glusterfs
/usr/sbin/glusterfsd
/usr/bin/glusterfs-booster.so
/etc/init.d/glusterfsd
/usr/sbin/rcglusterfsd

%files client
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
/usr/sbin/glusterfs
/sbin/mount.glusterfs
/usr/bin/glusterfs-booster.so

%files devel
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS
%ifarch i386
/usr/lib/*.a
/usr/lib/*.la
%else
/usr/lib64/*.a
/usr/lib64/*.la
%endif
/usr/include
%exclude /usr/include/glusterfs/y.tab.h


%post
%ifarch i386
ldconfig -n /usr/lib
%else
ldconfig -n /usr/lib64
%endif

%postuninstall server

%changelog

* Fri Nov 09 2007 Harshavardhana Ranganath <harsha@zresearch.com> -  1.3.8
- Bumped to new version fixed problem with build for new glusterfs-booster.so
  inside /usr/bin

* Sun Oct 18 2007 Harshavardhana Ranganath <harsha@zresearch.com> - 1.3.7
- Bumped to new version

* Sun Oct 18 2007 Harshavardhana Ranganath <harsha@zresearch.com> - 1.3.6
- Bumped to new version
  
* Sun Oct 14 2007 Harshavardhana Ranganath <harsha@zresearch.com> - 1.3.5
- Bumped to new version
 
* Tue Oct 09 2007 Harshavardhana Ranganath <harsha@zresearch.com> - 1.3.4
- Bumped to new version
 
* Tue Oct 02 2007 Harshavardhana Ranganath <harsha@zresearch.com> - 1.3.3
- Bumped to new version

* Tue Oct 02 2007 Harshavardhana Ranganath <harsha@zresearch.com> - 1.3.2
- Bumped to new version 
 
* Thu Sep 20 2007 Harshavardhana Ranganath <harsha@zresearch.com> - 1.3.1
- built new rpms with ibverbs seperate

* Sat Aug 4 2007 Matt Paine <matt@mattsoftware.com> - 1.3.pre7
- Added support to build rpm without ibverbs support (use --without ibverbs switch)

* Sun Jul 15 2007 Matt Paine <matt@mattsoftware.com> - 1.3.pre6
- Initial spec file

